# Uses of Class
org.springframework.cache.interceptor.CacheInterceptor

Packages that use CacheInterceptor
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.

## Uses of CacheInterceptor in org.springframework.cache.annotation

Methods in org.springframework.cache.annotation that return CacheInterceptor
Modifier and Type
Method
Description
`CacheInterceptor`
ProxyCachingConfiguration.`cacheInterceptor(CacheOperationSource cacheOperationSource)`
Methods in org.springframework.cache.annotation with parameters of type CacheInterceptor
Modifier and Type
Method
Description
`BeanFactoryCacheOperationSourceAdvisor`
ProxyCachingConfiguration.`cacheAdvisor(CacheOperationSource cacheOperationSource, CacheInterceptor cacheInterceptor)`